import pya
import os

base_dir = os.path.dirname(os.path.abspath(__file__))

layout = pya.Layout()
layout.read(os.path.join(base_dir, "..", "gds", "image_with_alignment_marks_overlapped.gds"))

layout.delete_layer(1)
layout.top_cell().shapes(0).insert(pya.Box(-9000000, 6850000 - 1850000 + 30000, 9000000, 6850000 - 1850000 + 30000 + 5000))
#layout.transform(pya.Trans(2, False, 0, 0))

layout.write(os.path.join(base_dir, "..", "gds", "wafer_1.gds"))


layout = pya.Layout()
layout.read(os.path.join(base_dir, "..", "gds", "image_with_alignment_marks_overlapped.gds"))

layout.delete_layer(0)
#layout.transform(pya.Trans(2, True, 0, 0))
layout.transform(pya.Trans(0, True, 0, 0))
layout.top_cell().shapes(1).insert(pya.Box(-9000000, 6850000 - 1850000 + 30000, 9000000, 6850000 - 1850000 + 30000 + 5000))

layout.write(os.path.join(base_dir,  "..", "gds", "wafer_2.gds"))


layout = pya.Layout()
layout.read(os.path.join(base_dir, "..", "gds", "inverted_tonality", "image_with_alignment_marks_overlapped_inverse.gds"))

layout.delete_layer(1)
#layout.transform(pya.Trans(2, False, 0, 0))

layout.write(os.path.join(base_dir, "..", "gds", "inverted_tonality", "wafer_1_inverse.gds"))


layout = pya.Layout()
layout.read(os.path.join(base_dir, "..", "gds", "inverted_tonality", "image_with_alignment_marks_overlapped_inverse.gds"))

layout.delete_layer(0)
#layout.transform(pya.Trans(2, True, 0, 0))
layout.transform(pya.Trans(0, True, 0, 0))

layout.write(os.path.join(base_dir, "..", "gds", "inverted_tonality", "wafer_2_inverse.gds"))
